from wagtail import hooks

from .admin import association_sidebar_viewset, association_explorer_viewset
from .views import association_chooser_viewset


@hooks.register("register_admin_viewset")
def register_viewset():
    return association_chooser_viewset


@hooks.register("register_admin_viewset")
def register_association_sidebar_viewset():
    return association_sidebar_viewset


@hooks.register("register_admin_viewset")
def register_association_explorer_viewset():
    return association_explorer_viewset
